Description

On host creation, the chosen provisioning template is related to the used OS and the hostgroup.

In my case I want to install an new host with a different finish template than the other machines, but it should be the same hostgroup

and the same OS.

The only way to achieve this atm is to disable the templates I dont want to use and only select the wanted templates.

It would be nice if we can get a dropdown which allows us to choose the provisioning/finishing/pxe template we really want to use on

that machine.

History

#1 - 01/23/2012 04:28 AM - Ohad Levy

How would you decide which template to use? I am fairly against of the concept of having a template per host, this imho not scaleable and hard to

maintain.

maybe if you could describe a bit more your usage scenario, we could come up with usable alternative.

#2 - 01/23/2012 06:46 AM - David M.

Currently I'm having groups for each version of OS I use.

There is a group for RHEL, for Ubuntu, for Solaris and so on.

I only have 2 Hosts which needs a Ubuntu-Desktop-Installation (because these 2 are sunray servers), all other machines are default server machines.

I dont want to split those two hosts to an extra group, as it breaks my current name-scheme and I dont like groups without much content ;)

So I would suggest to add a "default"-template to a hostgroup, but allow the selection of different templates for the same OS when

creating/provisioning a host.

This means if I have added a template like "Ubuntu Server" to my OS Version "Ubuntu 11.10" and also add a template "Ubuntu Desktop" to OS

"Ubuntu 11.10", I can set a flag default flag for the Server-Template for example. In this case the new Ubuntu machine would be installed with server

template, but I can also manually choose the desktop-template if I want.

#3 - 01/23/2012 06:52 AM - Ohad Levy

- Status changed from New to Feedback

to be honest, I'm not sure I follow why you dont use a hostgroup called desktops or something like that.

#4 - 01/23/2012 07:44 AM - David M.

Just because I only have 2 servers in this group then. It's like a special group for every host which doesn't fit exactly in one group... So if you have

some special-configs you are going to have a lot of hostgroups each containing only one or two hosts.

Also if you want to force the people using hostgroups like you expect, then you should not allow hostgroups to have more then one template of each

kind (PXE, provisioning, finish). Otherwise everybody will be confused why a certain template is used while another template (added later) isn't used

at all.
#5 - 01/23/2012 08:34 AM - Ohad Levy

imho, thats one of the reasons you can nest hostgroups...

#6 - 01/23/2012 09:09 AM - David M.

- Status changed from Feedback to Closed

Ok, but I think this is really confusing...

I didnt see any advantage in mixing hostgroups vs. setting the provisioning template directly.

Maybe a significantly better documentation would help understanding this feature.

I close this ticket. I  dont think the discussion leads to anything useful.

#7 - 11/20/2017 10:06 AM - Marek Hulán

- Description updated

- Category set to Host creation

- Status changed from Closed to New

- Bugzilla link set to 1514168

Reopening, this was requested again.

#8 - 11/21/2017 09:27 AM - Daniel Lobato Garcia

Who requested this again?

#9 - 11/21/2017 10:27 AM - Marek Hulán

See the linked BZ which Mahesh opened.
